PROTEUS VSM C-SPY DRIVER

Introduction

The PROTEUS VSM C-SPY driver allows Proteus VSM to function as a plug-in debugger for the IAR Embedded Workbench development environment. The driver must be installed on the machine running the IDE, whilst Proteus itself can be installed either on the same machine, or on a different one.

Separate instructions are provided for each way of working:

Using Embedded Workbench and Proteus on a Single Machine

Using Embedded Workbench and Proteus on Two Machines

The driver has been tested most recently with IAR EWARM 4.20 and Proteus 6.8. Use with other IAR platforms (e.g. EWAVR or EWPIC) is not supported at this time.


Computers IP Address

How to Determine Your Computer’s IP address

Computers on a TCP/IP network such as an office LAN may be identified by both a symbolic name (the DNS name) and a 4 digit number (the IP address). Typically, the file server will assign IP addresses automatically using a protocol called DHCP. Meanwhile, DNS names are determined manually by whoever sets up the network and then managed by a DNS server. All machines on a network will have unique IP addresses but the use of the DNS names is optional.

If possible (i.e. if you network runs a DNS server), we would recommend using the DNS name to specify the IP address of the machine running Proteus. This is because it is easily determined and guaranteed not to change.

To Determine Your Computer’s DNS Name under Windows XP

  1. Click right on your My Computer icon and select Properties.
  2. Select the Computer Name tab.
  3. The DNS name is displayed as the Full Computer Name

To Determine Your Computer’s DNS Name under Windows 2000

  1. Click right on your My Computer icon and select Properties.
  2. Select the Network Indentification tab.
  3. The DNS name is displayed as the Full Computer Name

To Determine Your Computer’s IP Address

  1. Open an MS-DOS command prompt from the Start Menu. You will find it under Programs/Accessories.
  2. Type IPCONFIG

You should then see a display similar to the one below:

Ethernet adapter Local Area Connection:

Connection-specific DNS Suffix . : labcenter.lan

IP Address. . . . . . . . . . . . : 10.0.0.136

Subnet Mask . . . . . . . . . . . : 255.255.255.0

Default Gateway . . . . . . . . . : 10.0.0.5


Using Embedded Workbench and Proteus on a Single Machine

PROTEUS VSM C-SPY DRIVER

To Use Proteus and Embedded Workbench on a Single Machine

  1. Load the schematic for the hardware into ISIS.
  2. Select the Use Remote Debug Monitor option from the Debug menu.
  3. Load the project for the software into the Embedded Workbench IDE
  4. Select Options command from the Project menu.
  5. Select the Debugger category.
  6. Set the Driver as Third-Party Driver as shown below:

  7. Select the Third-Party Driver category.
  8. Enter the install path to the C-SPY driver (VDMCSPY.DLL) as shown below.

    Typically the full path will be: C:\Program Files\Labcenter Electronics\Proteus VSM CSPY Driver\VDMCSPY.DLL

9. Click OK. You should find that a Proteus menu appears inside Embedded Workbench, just to the right of the Project menu.

You can now use all the normal features of the Embedded Workbench debugger (C-SPY) to debug your code including single step, breakpoints, memory views and so forth. If you need to see what is happening on the schematic, you can use ALT-TAB to flip between the IDE and Proteus.

Important Note: When using the Embedded Workbench debugging interface you should not specify any program file (HEX, UBROF or ELF) on the schematic part. The IDE will load the program into the target program memory automatically each time you rebuild the project.


Using Embedded Workbench and Proteus on Two Machines

PROTEUS VSM C-SPY DRIVER

The Proteus VSM C-SPY driver communicates with ISIS using TCP/IP and this means that the Embedded Workbench IDE can be used to control a Proteus simulation running on a different computer. Working this way has the major advantage that you can single step your source code in the Embedded Workbench IDE whilst simultaneously viewing the state of the simulation within Proteus.

If you have a laptop available, we would strongly recommend working in this way - typically it is best to run Proteus on the more powerful (desktop) computer and Embedded Workbench on the laptop.

To Use Proteus and Embedded Workbench on Two Machines

  1. Ensure that the two computers are networked via TCP/IP. If you are unsure how to do this, then please consult your system administrator. We regret it is beyond the scope of this document (or our technical support service) to advise on Windows Networking issues.
  2. Load the schematic for the hardware into ISIS.
  3. Select the Use Remote Debug Monitor option from the Debug menu.
  4. Load the project for the software into the Embedded Workbench IDE
  5. Select Options command from the Project menu.
  6. Select the Debugger category.
  7. Set the Driver as Third-Party Driver as shown below:

  8. Select the Third-Party Driver category.
  9. Enter the install path to the C-SPY driver (VDMCSPY.DLL) as shown below:

    Typically the full path will be: C:\Program Files\Labcenter Electronics\Proteus VSM CSPY Driver\VDMCSPY.DLL
  10. Click OK. You should find that a Proteus menu appears inside Embedded Workbench, just to the right of the Project menu.
  11. Select the VDM Driver Settings option from the Proteus menu and enter the IP address or DNS name of the machine that is running Proteus. If you are unsure how to find this out please click here or else consult your system administrator.

You can now use all the normal features of the Embedded Workbench debugger (C-SPY) to debug your code including single step, breakpoints, memory views and so forth.

Important Note: When using the Embedded Workbench debugging interface you should not specify any program file (HEX, UBROF or ELF) on the schematic part. The IDE will load the program into the target program memory automatically each time you rebuild the project.